// This file is derived form gmshFace.h form gmsh source code and it
// is distributed on the same license as gmsh.

#ifndef _MY_FACE_H_
#define _MY_FACE_H_

#include "gmsh/GFace.h"
#include <list>

class myFace : public GFace {
 public:
  myFace(GModel *m, int tag, const std::list<GEdge*> &edges);
  virtual ~myFace(){}
  Range<double> parBounds(int i) const; 
  virtual GPoint point(double par1, double par2) const; 
  virtual Pair<SVector3,SVector3> firstDer(const SPoint2 &param) const; 
  virtual void secondDer(const SPoint2 &param, 
                         SVector3 *dudu, SVector3 *dvdv, SVector3 *dudv) const;
  virtual GeomType geomType() const;
};

#endif
